/* sdl2c_a.h                                        bielefeld, den 8.4.1994
	Projekt sdl2c
	von sven goethel
*/

# ifndef _SDL2C_A_H
  # define _SDL2C_A_H

  # include <stdio.h>
  # include <ctype.h>

  # define TAB_WIDTH 2

  # ifndef NDEBUG
	# define PRINT(a) printf((a))
  # else
	# define PRINT(a)
  # endif

	#define BufferSize 200

  typedef int SDLProg;

  // priority fuer INPUT / OUTPUT
  extern int prio;

  typedef union {
    char *string; /* string buffer */
    double dval;  /* double float value */
  } TokenType;

  typedef TokenType YYSTYPE;

  # include "lex_yy.hpp"
  # include "ytab.hpp"

# endif

